{combine_script id='jquery.ajaxmanager' load='footer' path='themes/default/js/plugins/jquery.ajaxmanager.js'}

{footer_script}{literal}
var queuedManager = $.manageAjax.create('queued', { 
	queue: true,  
	cacheResponse: false,
	maxRequests: 3
}); 

function processThumbs(width,height,gd_version) {
  var square=$('input[name="square"]').attr('checked');
  var done=0;
	$('tr.nothumb').each(function() {
		var file=$(this).find('td.filepath').text();
		$(this).find('td.thumbpic').html('<img src="plugins/Ajax_Thumbnailer/ajax-loader.gif">');
		var td=this;
		queuedManager.add({
			type: 'GET', 
			url: 'ws.php', 
			data: {method: 'pwg.images.createThumbnail',picture:file,format:'json',width: width,height: height, gd_version: gd_version, square: square},
			dataType: 'json',
			success: (function(row) { return function(data) {
					if (data.stat =='ok') {
							$(row).find('td.thumbpic').html('<img src="'+data.result.tn_file+'"/>');
							$(row).find('td.thumbdim').html(""+data.result.tn_width+"X"+data.result.tn_height);
							$(row).find('td.thumbgentime').html(""+data.result.tn_time);
							$(row).find('td.thumbsize').html(""+data.result.tn_size);
							$(row).removeClass("nothumb");
						} else {
							$(row).find('td.thumbpic').html('#ERR#'+data.err+"# : "+data.message);
							$(row).removeClass("nothumb");
							$(row).addClass("error");
						}
          if (done++ == 20) {
              $('tr.item:not(.nothumb)').remove();
              done = 0;
            }
					};})(td)
			});
	});
}

$(document).ready(function(){
  $('input#proceed').click (function () {
    var width = $('#width')[0].value;
    var height = $('#height')[0].value;
    var gd_version=$("input[@name='gd']:checked").val();
    $("input:not(.nodisable)").attr("disabled",true);

    
    processThumbs(width,height,gd_version);
  });

  $('input#cancel').click (function () {
    queuedManager.clear();
    queuedManager.abort();
    $("input:not(.nodisable)").attr("disabled",false);
    $('tr.nothumb td.thumbpic').html("&nbsp;");
    
  });

  $('input#clear').click (function () {
    $('tr.item:not(.nothumb)').remove();
  });
});
{/literal}{/footer_script}

<div class="titrePage">
  <h2>{'Thumbnail creation'|@translate}</h2>
</div>

{if isset($params) }
<form method="post" action="{$params.F_ACTION}" class="properties">

  <fieldset>
    <legend>{'Thumbnail creation'|@translate}</legend>

    <ul>
      <li>
        <span class="property">{'GD version'|@translate}</span>
	<label>
          <input type="radio" name="gd" value="2" {if $params.GD_SELECTED==2}checked="checked"{/if}>2.x
        </label>
        <label>
          <input type="radio" name="gd" value="1" {if $params.GD_SELECTED==1}checked="checked"{/if}>1.x
        </label>
      </li>

      <li>
        <span class="property">
          <label for="width">{'maximum width'|@translate}</label>
        </span>
	<input type="text" id="width" name="width" value="{$params.WIDTH_TN}">
      </li>

      <li>
        <span class="property">
          <label for="height">{'maximum height'|@translate}</label>
        </span>
	<input type="text" id="height" name="height" value="{$params.HEIGHT_TN}">
      </li>
    </ul>
  </fieldset>

  <p><input type="button" name="submit" id="proceed" value="{'Submit'|@translate}" {$TAG_INPUT_ENABLED}>
  <input type="button" class="nodisable" name="submit" id="cancel" value="{'Cancel'|@translate}" {$TAG_INPUT_ENABLED}>
  <input type="button" class="nodisable" name="submit" id="clear" value="{'clear_success'|@translate}" {$TAG_INPUT_ENABLED}>
  
  </p>
</form>
{/if} {*isset params*}

{if !empty($remainings) }
<div class="admin">{$TOTAL_NB_REMAINING} {'Number of thumbnails to create'|@translate}</div>
<table style="width:100%;">
  <tr class="throw">
    <td>&nbsp;</td>
    <td style="width:60%;">{'Path'|@translate}</td>
    <td>{'Filesize'|@translate}</td>
    <td>{'Dimensions'|@translate}</td>
    <td>{'Thumbnail'|@translate}</td>
    <td>{'generated in'|@translate}</td>
    <td>{'Filesize'|@translate}</td>
    <td>{'Dimensions'|@translate}</td>
  </tr>
  {foreach from=$remainings item=elt name=remain_loop}
  <tr class="{if $smarty.foreach.remain_loop.index is odd}row1{else}row2{/if} nothumb item" id="th_{$smarty.foreach.remain_loop.iteration}">
    <td>{$smarty.foreach.remain_loop.iteration}</td>
    <td class="filepath">{$elt.PATH}</div></td>
    <td>{$elt.FILESIZE_IMG}</div></td>
    <td>{$elt.WIDTH_IMG} x {$elt.HEIGHT_IMG}</td>
	<td class="thumbpic">&nbsp;</td>
	<td class="thumbgentime">&nbsp;</td>
	<td class="thumbsize">&nbsp;</td>
	<td class="thumbdim">&nbsp;</td>
  </tr>
  {/foreach}
</table>
{else}
<div style="text-align:center;font-weight:bold;margin:10px;"> [ {'No missing thumbnail'|@translate} ]</div>
{/if}
